It's all about the answers!

Ask a question

Team Concert Client 4.0.5 on ubuntu 14.04 64 bit


Dr. Hans-Joachim Pross (1.1k4258) | asked Aug 22 '14, 8:38 a.m.
JAZZ DEVELOPER
edited Aug 22 '14, 2:51 p.m. by Stephanie Taylor (24115)
When I run the client, after a short while I get the follwing error an RTC dies:
JVM terminated. Exit code=160/opt/ibm/TeamConcert_406//jdk/jre/bin/javaw-Xms100m-Xmx1024m-Xmnx64m-Xgcpolicy:gencon-Xscmx96m-Xshareclasses:name=IBMSDP_%u-Xcompressedrefs-jar /opt/ibm/TeamConcert_406//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar-os linux-ws gtk-arch x86_64-showsplash-launcher /opt/ibm/TeamConcert_406/eclipse-name Eclipse--launcher.library /opt/ibm/TeamConcert_406//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20120913-144807/eclipse_1502.so-startup /opt/ibm/TeamConcert_406//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar--launcher.overrideVmargs-exitdata 724a800c-install /opt/ibm/TeamConcert_406-product com.ibm.team.concert.product-vm /opt/ibm/TeamConcert_406//jdk/jre/bin/javaw-vmargs-Xms100m-Xmx1024m-Xmnx64m-Xgcpolicy:gencon-Xscmx96m-Xshareclasses:name=IBMSDP_%u-Xcompressedrefs-jar /opt/ibm/TeamConcert_406//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
I assume, this is caused by missing xulrunner?
But in ubuntu 14.04 xulrunner ist not installable because of a missing dependency:
Depends: libhunspell-1.2-0 (>=1.2.11) but it is not installable
Nevertheless, there are xulrunner directores in /usr/lib. I added the line
-Dorg.eclipse.swt.browser.XULRunnerPath=/usr/lib/xulrunner
to the eclipse.ini, but that does not fix the problem.

Comments
Krzysztof Ka┼║mierczyk commented Aug 22 '14, 9:10 a.m.

Hi Hajo,
How did you try to install xulrunner? I see following options which allow you to install it: https://askubuntu.com/questions/125980/how-do-i-install-xulrunner/161382#161382


Dr. Hans-Joachim Pross commented Aug 22 '14, 9:12 a.m.
JAZZ DEVELOPER

I've just used Synaptic Package Manager


Dr. Hans-Joachim Pross commented Aug 22 '14, 9:23 a.m.
JAZZ DEVELOPER

Krzysztof, installed as described in your link an tried
-Dorg.eclipse.swt.browser.XULRunnerPath=/usr/opt/xulrunner
and
-Dorg.eclipse.swt.browser.XULRunnerPath=/usr/lib/xulrunner
and without that line. No changes. Still dies.


Krzysztof Ka┼║mierczyk commented Aug 22 '14, 10:09 a.m.

Hi Hans,
Please open a PMR for that.


Dr. Hans-Joachim Pross commented Aug 26 '14, 5:30 a.m.
JAZZ DEVELOPER

I have opened defect 328986, but I was closed because ubuntu 14 is not a supported OS. There is a plan item tracking Ubuntu 14 support

2 answers



permanent link
Tim Mok (6.6k38) | answered Aug 22 '14, 11:56 a.m.
JAZZ DEVELOPER
It looks like you need to make sure you have the 64-bit version of xulrunner. 

http://ftp.mozilla.org/pub/mozilla.org/xulrunner/nightly/latest-trunk/

I grab them from the nightly builds since it seems the releases don't post the 64-bit package.

For more information: 
https://jazz.net/forum/questions/15051/re-rtc-client-unexpectedly-exits-on-fedora-10-x86_64
http://www-01.ibm.com/support/docview.wss?rs=3488&context=SSCP65&context=SS7W3X&context=SS7VZS&context=SS7W59&context=SSSTY3&q1=xulrunner&uid=swg21313467&loc=en_US&cs=utf-8&lang=en

Comments
Dr. Hans-Joachim Pross commented Aug 25 '14, 7:54 a.m. | edited Aug 25 '14, 8:34 a.m.
JAZZ DEVELOPER

@tmok: I've downloaded the stuff from your link, added the symbolic links like described in Krzysztof's link, but the result is still the same.


Tim Mok commented Aug 25 '14, 8:48 a.m.
JAZZ DEVELOPER

Which package from the link did you download?


Dr. Hans-Joachim Pross commented Aug 26 '14, 5:27 a.m.
JAZZ DEVELOPER

The xulrunner-34.0a1.en-US.linux-x86_64.tar.bz2 package


Tim Mok commented Aug 26 '14, 9:01 a.m.
JAZZ DEVELOPER

It looks like the latest doesn't work. I don't think what you downloaded is the correct one for your configuration.



I'm using one of the pre-1.9.2 releases since there wasn't a released version of the 64-bit package.


permanent link
Dr. Hans-Joachim Pross (1.1k4258) | answered Aug 26 '14, 12:06 p.m.
JAZZ DEVELOPER
edited Aug 28 '14, 3:06 a.m.
Ok, thanks to @renemeyer:
I have tried a lot of xulrunner versions: 34, 1.9.1.7, 10.0, at the end 1.9.2.13 did work.

Download that version from here and add the following two lines to your eclipse.ini and modify the /opt/xilrunner path according your xulrunner directory.
-Dorg.eclipse.swt.browser.DefaultType=mozilla
-Dorg.eclipse.swt.browser.XULRunnerPath=/opt/xulrunner
Hover over does not work. It shows only black windows.

Your answer


Register or to post your answer.